/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TInputLanguage;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TInputLanguageRecord extends UpdatableRecordImpl<TInputLanguageRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_input_language.pk_input_language</code>.
     */
    public void setPkInputLanguage(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_input_language.pk_input_language</code>.
     */
    public Integer getPkInputLanguage() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.t_input_language.lang_isocode</code>. language
     * iso code
     */
    public void setLangIsocode(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_input_language.lang_isocode</code>. language
     * iso code
     */
    public String getLangIsocode() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.t_input_language.appl_name</code>. application
     * name
     */
    public void setApplName(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_input_language.appl_name</code>. application
     * name
     */
    public String getApplName() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.t_input_language.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_input_language.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(3);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TInputLanguageRecord
     */
    public TInputLanguageRecord() {
        super(TInputLanguage.T_INPUT_LANGUAGE);
    }

    /**
     * Create a detached, initialised TInputLanguageRecord
     */
    public TInputLanguageRecord(Integer pkInputLanguage, String langIsocode, String applName, LocalDateTime lastchange) {
        super(TInputLanguage.T_INPUT_LANGUAGE);

        setPkInputLanguage(pkInputLanguage);
        setLangIsocode(langIsocode);
        setApplName(applName);
        setLastchange(lastchange);
        resetChangedOnNotNull();
    }
}
